Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoExceptionClause.ByValue

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoExceptionClause,MonoExceptionClause.ByValue,MonoExceptionClause.ByReference>
              com.nativelibs4java.mono.MonoExceptionClause
                  com.nativelibs4java.mono.MonoExceptionClause.ByValue

All Implemented Interfaces:
  StructureType, StructureTypeDependent, Structure.ByValue, java.lang.Comparable<Structure<MonoExceptionClause,MonoExceptionClause.ByValue,MonoExceptionClause.ByReference>>

Enclosing class:
  MonoExceptionClause

    public static class MonoExceptionClause.ByValue

extends MonoExceptionClause
implements Structure.ByValue

Nested Class Summary

Nested classes/interfaces inherited from class com.nativelibs4java.mono.MonoExceptionClause
`MonoExceptionClause.ByReference, MonoExceptionClause.ByValue, MonoExceptionClause.data_union`

Field Summary

Fields inherited from class com.nativelibs4java.mono.MonoExceptionClause
`data, flags, handler_len, handler_offset, try_len, try_offset`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoExceptionClause.ByValue()`

Method Summary

Methods inherited from class com.nativelibs4java.mono.MonoExceptionClause
`newByReference, newByValue, newInstance`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Constructor Detail

### MonoExceptionClause.ByValue

    public MonoExceptionClause.ByValue()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD